# Uses of Interface
javax.naming.directory.Attributes

Packages that use Attributes
Package
Description
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

## Uses of Attributes in javax.naming.directory

Classes in javax.naming.directory that implement Attributes
Modifier and Type
Class
Description
`class`
`BasicAttributes`
This class provides a basic implementation of the Attributes interface.
Methods in javax.naming.directory that return Attributes
Modifier and Type
Method
Description
`Attributes`
DirContext.`getAttributes(String name)`
Retrieves all of the attributes associated with a named object.
`Attributes`
DirContext.`getAttributes(String name, String[] attrIds)`
Retrieves selected attributes associated with a named object.
`Attributes`
DirContext.`getAttributes(Name name)`
Retrieves all of the attributes associated with a named object.
`Attributes`
DirContext.`getAttributes(Name name, String[] attrIds)`
Retrieves selected attributes associated with a named object.
`Attributes`
InitialDirContext.`getAttributes(String name)`
`Attributes`
InitialDirContext.`getAttributes(String name, String[] attrIds)`
`Attributes`
InitialDirContext.`getAttributes(Name name)`
`Attributes`
InitialDirContext.`getAttributes(Name name, String[] attrIds)`
`Attributes`
SearchResult.`getAttributes()`
Retrieves the attributes in this search result.
Methods in javax.naming.directory with parameters of type Attributes
Modifier and Type
Method
Description
`void`
DirContext.`bind(String name, Object obj, Attributes attrs)`
Binds a name to an object, along with associated attributes.
`void`
DirContext.`bind(Name name, Object obj, Attributes attrs)`
Binds a name to an object, along with associated attributes.
`void`
InitialDirContext.`bind(String name, Object obj, Attributes attrs)`
`void`
InitialDirContext.`bind(Name name, Object obj, Attributes attrs)`
`DirContext`
DirContext.`createSubcontext(String name, Attributes attrs)`
Creates and binds a new context, along with associated attributes.
`DirContext`
DirContext.`createSubcontext(Name name, Attributes attrs)`
Creates and binds a new context, along with associated attributes.
`DirContext`
InitialDirContext.`createSubcontext(String name, Attributes attrs)`
`DirContext`
InitialDirContext.`createSubcontext(Name name, Attributes attrs)`
`void`
DirContext.`modifyAttributes(String name, int mod_op, Attributes attrs)`
Modifies the attributes associated with a named object.
`void`
DirContext.`modifyAttributes(Name name, int mod_op, Attributes attrs)`
Modifies the attributes associated with a named object.
`void`
InitialDirContext.`modifyAttributes(String name, int mod_op, Attributes attrs)`
`void`
InitialDirContext.`modifyAttributes(Name name, int mod_op, Attributes attrs)`
`void`
DirContext.`rebind(String name, Object obj, Attributes attrs)`
Binds a name to an object, along with associated attributes, overwriting any existing binding.
`void`
DirContext.`rebind(Name name, Object obj, Attributes attrs)`
Binds a name to an object, along with associated attributes, overwriting any existing binding.
`void`
InitialDirContext.`rebind(String name, Object obj, Attributes attrs)`
`void`
InitialDirContext.`rebind(Name name, Object obj, Attributes attrs)`
`NamingEnumeration<SearchResult>`
DirContext.`search(String name, Attributes matchingAttributes)`
Searches in a single context for objects that contain a specified set of attributes.
`NamingEnumeration<SearchResult>`
DirContext.`search(String name, Attributes matchingAttributes, String[] attributesToReturn)`
Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.
`NamingEnumeration<SearchResult>`
DirContext.`search(Name name, Attributes matchingAttributes)`
Searches in a single context for objects that contain a specified set of attributes.
`NamingEnumeration<SearchResult>`
DirContext.`search(Name name, Attributes matchingAttributes, String[] attributesToReturn)`
Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.
`NamingEnumeration<SearchResult>`
InitialDirContext.`search(String name, Attributes matchingAttributes)`
`NamingEnumeration<SearchResult>`
InitialDirContext.`search(String name, Attributes matchingAttributes, String[] attributesToReturn)`
`NamingEnumeration<SearchResult>`
InitialDirContext.`search(Name name, Attributes matchingAttributes)`
`NamingEnumeration<SearchResult>`
InitialDirContext.`search(Name name, Attributes matchingAttributes, String[] attributesToReturn)`
`void`
SearchResult.`setAttributes(Attributes attrs)`
Sets the attributes of this search result to `attrs`.
Constructors in javax.naming.directory with parameters of type Attributes
Modifier
Constructor
Description
``
`SearchResult(String name, Object obj, Attributes attrs)`
Constructs a search result using the result's name, its bound object, and its attributes.
``
`SearchResult(String name, Object obj, Attributes attrs, boolean isRelative)`
Constructs a search result using the result's name, its bound object, and its attributes, and whether the name is relative.
``
`SearchResult(String name, String className, Object obj, Attributes attrs)`
Constructs a search result using the result's name, its class name, its bound object, and its attributes.
``
`SearchResult(String name, String className, Object obj, Attributes attrs, boolean isRelative)`
Constructs a search result using the result's name, its class name, its bound object, its attributes, and whether the name is relative.

## Uses of Attributes in javax.naming.ldap

Methods in javax.naming.ldap that return Attributes
Modifier and Type
Method
Description
`Attributes`
Rdn.`toAttributes()`
Retrieves the `Attributes` view of the type/value mappings contained in this Rdn.
Constructors in javax.naming.ldap with parameters of type Attributes
Modifier
Constructor
Description
``
`Rdn(Attributes attrSet)`
Constructs an Rdn from the given attribute set.

## Uses of Attributes in javax.naming.spi

Methods in javax.naming.spi that return Attributes
Modifier and Type
Method
Description
`Attributes`
DirStateFactory.Result.`getAttributes()`
Retrieves the attributes to be bound.
Methods in javax.naming.spi with parameters of type Attributes
Modifier and Type
Method
Description
`static Object`
DirectoryManager.`getObjectInstance(Object refInfo, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes attrs)`
Creates an instance of an object for the specified object, attributes, and environment.
`Object`
DirObjectFactory.`getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes attrs)`
Creates an object using the location or reference information, and attributes specified.
`static DirStateFactory.Result`
DirectoryManager.`getStateToBind(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes attrs)`
Retrieves the state of an object for binding when given the original object and its attributes.
`DirStateFactory.Result`
DirStateFactory.`getStateToBind(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes inAttrs)`
Retrieves the state of an object for binding given the object and attributes to be transformed.
Constructors in javax.naming.spi with parameters of type Attributes
Modifier
Constructor
Description
``
`Result(Object obj, Attributes outAttrs)`
Constructs an instance of Result.